---
title: "Test the universal key and sync campaign, dispositions, and numbers"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Outbound IQ

`POST /api/outbound-iq/connect`

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Request body

_Required._

- `workspace_id` (`post/api/outbound-iq/connect.workspace_id`; string, required)
- `api_key` (`post/api/outbound-iq/connect.api_key`; string, optional)
- `use_connector` (`post/api/outbound-iq/connect.use_connector`; boolean, optional)

## Example request

```json
{
  "workspace_id": "string",
  "api_key": "string",
  "use_connector": true
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/outbound-iq/connect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_id": "string",
  "api_key": "string",
  "use_connector": true
}
'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/outbound-iq/connect';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({workspace_id: 'string', api_key: 'string', use_connector: true})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/outbound-iq/connect"

payload = {
    "workspace_id": "string",
    "api_key": "string",
    "use_connector": True
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Per-step connect result

### 401

Invalid or absent verified session

### 403

Nonmember or conflicting workspace target

### 503

Identity or membership lookup unavailable


Source: https://developer.channelautomations.com/api/post-api-outbound-iq-connect/index.md
